Subject: Re: [PATCH 02/12] fs_enet: Add MPC5121 FEC support.

From: David Miller <[email-masked]>
Date: Fri, 08 May 2009 00:52:51 -0700 (PDT)

From: John Rigby <[email-masked]>
Date: Thu, 7 May 2009 20:02:53 -0600

> Also don't forget that the register map is the same on 512x, mx and
> coldfire platforms but not on the other ppc platforms so if you want
> to one binary to rule them all you will need to have an offest table
> or some such.

I would suggest using ->read_reg() ->write_reg() methods for abstracting
this.  That's how we handle all of the different way ESP scsi chips
have their registers wired up.

I/O register reads take hundreds, if not thousands of CPU cycles so,
relatively speaking, the indirection costs absolutely nothing.